Bug 873503 - enable.sh refers to wrong AMQP port
enable.sh refers to wrong AMQP port
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
: Triaged, ZStream
Depends On:
Blocks: 873786 891390
  Show dependency treegraph
 
Reported: 2012-11-05 22:08 EST by Thom Carlin
Modified: 2014-09-18 11:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 873786 891390 (view as bug list)
Environment:
Last Closed: 2013-09-19 14:19:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 872326 None None None 2012-11-05 22:08:36 EST

  None (edit)
Description Thom Carlin 2012-11-05 22:08:36 EST
Description of problem:

/usr/share/

Version-Release number of selected component (if applicable):

CloudForms 1.1 beta6

How reproducible:

Every time

Steps to Reproduce:
1. netstat -npl|egrep qpidd
2. cat /usr/share/pulp/selinux/server/enable.sh
3.
  
Actual results:

enable.sh refers to 5674

Expected results:

enable.sh should refer to 5671

Additional info:

semanage port -l | grep amqp_port_t | grep tcp | grep 5674 > /dev/null || \
    /usr/sbin/semanage port -a -t amqp_port_t -p tcp 5674
semanage port -l | grep amqp_port_t | grep udp | grep 5674 > /dev/null || \
    /usr/sbin/semanage port -a -t amqp_port_t -p udp 5674
should be
semanage port -l | grep amqp_port_t | grep tcp | grep 5671 > /dev/null || \
    /usr/sbin/semanage port -a -t amqp_port_t -p tcp 5671
semanage port -l | grep amqp_port_t | grep udp | grep 5671 > /dev/null || \
    /usr/sbin/semanage port -a -t amqp_port_t -p udp 5671
Comment 3 Mike McCune 2012-11-06 12:26:34 EST
Pulp bug:

https://bugzilla.redhat.com/show_bug.cgi?id=873786
Comment 4 Lukas Zapletal 2012-12-18 10:48:36 EST
Pulp fixed the port, nightly still running older version of Pulp but PulpV2 will fix this. Setting to MODIFIED
Comment 6 Mike McCune 2013-09-19 14:19:36 EDT
These bugs have been resolved in upstream projects for a period of months so
I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to
re-open.

Note You need to log in before you can comment on or make changes to this bug.